Subject: Re: umlauts (was: Re: timezones for talking and speling (was Re: [lojban] on the fone?))

From: Invent Yourself <[email-masked]>
Date: Thu, 17 Jan 2002 12:32:03 -0500 (EST)

On Thu, 17 Jan 2002, [utf-8] Björn Gohla wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> On Thursday 17 January 2002 15:34, Invent Yourself wrote:
> > Macintoshes have always made it very easy to enter umlauts. It is very
> > hard to find a font that lacks the characters, and all applications
> > observe the same, standard key combinations for entering them. On Windows
> > and Linux, I have never been able to get anything but 7 bit characters off
> > the keyboard, and I'm sure every app has its own keyboard shortcuts for
> > them, as they reinvent their own shortcuts for everything else.

> well, using x window it is easy to type characters that are not on your
> keyboeard. kcharselect for instance lets you select any letter in a font and
> copy it to any x client via the clipboard. the bare console probably is
> another matter. however being a unix user in germany i put together my own x
> keymap that is mostly the us keymap but has umlauts on otherwise unused keys.

Requiring clipboard isn't "easy"; a standard key combination is easy. Does
kcharselect come standard in KDE? Fiddling with xkeymaps (and only being
able to work from your own, customized machine) isn't easy either. These
are simple things that the chaos of open source will never provide.

-- 
The tao that can be tar(1)ed
is not the entire Tao.
The path that can be specified
is not the Full Path.